<div class="container">
    <form [formGroup]="myForm" (ngSubmit)="onSubmit()">
        <mat-form-field appearance="outline" class="form-field">
            <mat-label>Product Name</mat-label>
            <input matInput formControlName="name">
            <mat-error *ngIf="myForm.get('name').invalid && myForm.get('name').touched">
                <span *ngIf="myForm.get('name').errors?.required">Feild is required</span>
            </mat-error>
        </mat-form-field>
        <br>
        <mat-form-field appearance="outline" class="form-field">
            <mat-label>Price</mat-label>
            <input type="number" matInput formControlName="price">
            <mat-error *ngIf="!myForm.get('price').valid && myForm.get('price').touched">
                <span *ngIf="myForm.get('price').errors?.required">Feild is required</span>
            </mat-error>
        </mat-form-field>
        <br>
        <mat-form-field appearance="outline" class="form-field">
            <mat-label>Description</mat-label>
            <textarea matInput formControlName="description" rows="3"></textarea>
        </mat-form-field>
        <mat-error *ngIf="!myForm.get('description').valid && myForm.get('description').touched">
            <span>Feild is required</span>
        </mat-error>
        <br>
        <button mat-raised-button color="primary" [disabled]="!myForm.valid" [ngxsSubmitLoading]="onSubmit.bind(this)">{{ editMode ? 'Update' : 'Submit'}}</button>
    </form>
</div>

<div>
    <button id="cloudinary" class="cloudinary-button" (click)="onOpen()">Upload Image For Product</button>
</div>